<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Массовая рассылка сообщений');

///Подключаем шапку
$title->GetHeader();
if ($b['level'] < 5) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Массовая рассылка сообщений</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Массовая рассылка сообщений</div>';

$all = DB::$dbs->querySingle("SELECT COUNT(id) FROM `letters`");
$num = 10;
$k_page = k_page($all, $num);
$page = page($k_page);
$start = $num*$page-$num;
$read = DB::$dbs->query("SELECT * FROM letters ORDER BY id DESC LIMIT $start,$num");
while($ot = $read->fetch()) {
$vfile = $_SERVER['DOCUMENT_ROOT'].$ot['file'];
$files = strtolower(strrchr($ot['file'], '.'));
$your = DB::$dbs->queryFetch("SELECT `id`, `read` FROM `letters` WHERE
`idwho` = ? AND
`who` = ? AND
`mod` = ? AND
`id` = ?", [$ot['who'],$b['id'],'i',($ot['id']-1)]);
$nicks = Nick($ot['who']);
$nick = Nick($ot['idwho']);
if ($ot['read'] == 0) $NoRead = '[<font color="red"><b>Непрочитанное</b></font>]';
else $NoRead = '';

echo '<div class="row text_box">';
echo $nicks . ' -> '.$nick.' (' . vr($ot['data']) . ') ' . $NoRead . '<br/>' . text($ot['text']) . '
<br/>' .($ot['file'] != '' ? '<b>Прикрепленный файл</b><br/><a href="'.$ot['file'].'">'.mb_substr($ot['file'],12,27, 'UTF-8').' ('.get_size(filesize($vfile)).')</a><br/>' : '') . '</div>';
}
if ($k_page>1) {
str('?', $k_page,$page);
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>